.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

:root {
  --Accent: antiquewhite;
  --AccentActivate: rgb(255, 227, 188);
  --AccentGlow: rgb(255, 245, 233);
  --Dark: rgb(29, 27, 35);
  --Dark2: rgb(59, 57, 66);
  --Dark3: rgb(49, 47, 59);

  --Dark-sheer: rgb(29, 27, 35,.5);

  --Health: rgb(201, 0, 0);
  --Mana: blue;

  --Janwari: red;
  --JanwariGlow: rgb(255, 65, 65);

  --Prowess: darkred;
  --Effusion: white;
  --Cantillation: gold;
  --Understanding: blue;
  --Licentiousness: purple;
  --Insight: rgb(255, 0, 128);
  --Agility: rgb(140, 255, 0);
  --Resilience: darkgreen;
}

.w-0 {
  width: 0%;
}

.w-2 {
  width: 2%;
}

.h-5 {
  height: 5%;
}
.w-5 {
  width: 5%;
}

.h-8 {
  height: 8.33%;
}

.h-10 {
  height: 10%;
}

.h-15 {
  height: 15%;
}

.w-15 {
  width: 15%
}

.h-23 {
  height: 23%;
}

.h-33 {
  height: 33.3%;
}

.w-33 {
  width: 33.3%;
}

.w-10 {
  width: 10%;
}

.h-40 {
  height: 40%;
}

.w-5 {
  width: 5%;
}

.w-66 {
  width: 66.6%;
}

.h-70 {
  height: 70%;
}

.h-90{
  height:90%
}

.h-95 {
  height: 95%;
}

.h-98 {
  height: 98%;;
}

.form-control {
  background-color: var(--Dark);
  color: var(--Accent);
  border: 0px;
}

form-select.open {
  border: 0px;
}

.form-control:focus {
  background-color: var(--Dark);
  color: var(--Accent);
  border-radius: 5px;
  border: 1px solid var(--Accent);
}

select {
  outline: none;
  -webkit-appearance: butt;
  appearance: butt;
  -moz-appearance: none;
  -moz-border-radius: 9px 9px 9px 9px;
  border-radius: 9px;
  background-color: transparent;
  border: 0px;
  -webkit-user-select: none;
  user-select: none;
  outline: 0px;
  scroll-behavior: smooth;
}

select::-moz-focusring {
  border: none;
  outline: none;
  color: transparent;
  text-shadow: none;
}

.form-option {
  background-color: transparent;
  color: var(--Accent);
  appearance: none;
  outline: none;
  border-radius: 5px;
}

.form-option:active {
  border: none;
  outline: none;
  background-color: var(--Accent);
  color: var(--Dark);
}

.form-option:focus {
  border: none;
  outline: none;
  background-color: var(--Accent);
  color: var(--Dark);
}

.form-option:focus-visible {
  border: none;
  outline: none;
  background-color: var(--Accent);
  color: var(--Dark);
}

.form-option:active {
  border: none;
  outline: none;
  background-color: var(--Accent);
  color: var(--Dark);
}

.form-select {
  background-color: var(--Dark);
  color: var(--Accent);
  border: 0px;
  outline: none;
  appearance: none;
}

/* .form-select:{
  
} */

.form-select::-ms-expand {
  display: none;
}

.form-select:active {
  border: 0px solid var(--AccentGlow);
  outline: none;
}

.form-select:after {
  border: 0px;
  outline: none;
}

.form-range::-moz-range-track {
  background: var(--Dark);
}

.form-range::-moz-range-thumb {
  background: var(--Accent);
  box-shadow: 0px 0px 2px var(--AccentGlow);
}

.form-range:focus::-moz-range-thumb {
  background: var(--Accent);
  box-shadow: 0px 0px 3px var(--AccentGlow);
}

.form-range::-webkit-slider-runnable-track {
  background: var(--Dark);
}

.btn-c {
  background-color: var(--Accent);
  border-radius: 5px;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  border: 1px solid var(--AccentGlow);
}

.btn-c-small {
  background-color: var(--Accent);
  border-radius: 5px;
  display: flex;
  align-items: center;
  border: 1px solid var(--AccentGlow);
}

.btn-c:hover {
  background-color: var(--AccentActivate);
  box-shadow: 0px 0px 3px var(--AccentGlow);
}

input:focus {
  border: 0px;
}

input:focus-visible {
  outline: 2px solid var(--Accent);
  border-radius: 3px;
}

.bgc-health {
  background-color: var(--Health);
}

.bgc-mana {
  background-color:  var(--Mana);
}

.bgc-dark {
  background-color: var(--Dark);
}

.bgc-dark-sheer {
  background-color: var(--Dark-sheer);
}

.bgc-dark2 {
  background-color: var(--Dark2);
}

.bgc-dark3 {
  background-color: var(--Dark3);
}

.bgc-accent {
  background-color: var(--Accent);
}

.bgc-grass {
  background-color: var(--Resilience);
}

.glow-accent {
  box-shadow: 0px, 0px, 5px, var(--AccentGlow);
}

.border-accent {
  border: 1px solid var(--Accent);
}

.border-bottom-c-accent {
  border-bottom: 1px solid var(--Accent);
}

.text-accent {
  color: var(--Accent);
  text-shadow: 0px 0px 0px var(--AccentGlow);
}

.text-accent-reactive {
  color: var(--Accent);
}

.text-accent-reactive:hover {
  text-shadow: 0px 0px 3px var(--AccentGlow);
}

.text-c-dark {
  color: var(--Dark);
}

.Janwari-text {
  color: var(--Janwari);
}

.Janwari-text:hover {
  text-shadow: 0px 0px 3px var(--JanwariGlow);
}

.Human-text {
  color: var(--Accent);
}

.text-box {
  background-color: var(--Dark);
  border: 1px solid var(--Accent);
  border-radius: 5px;
  text-overflow: auto;
}

.rel {
  position: relative;
}

.abs {
  position: absolute;
}

.relative-modal {
  position: absolute;
  background-color: var(--Dark);
  bottom: 30px;
  min-width: 300px;
  max-width: 500px;
  z-index: 1;
  color: var(--Accent);
  border-radius: 5px;
  border: 1px solid var(--Accent);
  text-shadow: 0px 0px 0px;
}

.fixed-modal {
  position: fixed;
  z-index: 1;
  left: 25%;
  top: 10%;
  width: 50%;
  height: 80%;
  overflow: auto;
  background-color: var(--Dark);
  border: 1px solid var(--Accent);
  border-radius: 10px;
  box-shadow: 0px 0px 5px var(--Dark);
}

.dia-modal {
  position: fixed;
  z-index: 1;
  left: 2.5%;
  top: 55%;
  width: 95%;
  height: 30%;
  overflow: auto;
  background-color: var(--Dark);
  border: 1px solid var(--Accent);
  border-radius: 10px;
  box-shadow: 0px 0px 5px var(--Dark);
}

.fixed-container {
  position: fixed;
}

.cursor-pointer {
  cursor: pointer;
}

.PECULIAR-text {
  color: white;
}

.PECULIAR-text:hover {
  text-shadow: 0px 0px 3px rgba(255, 255, 255, 0.689);
}

.PECULIAR-text span:nth-child(10n + 1) {
  color: var(--Prowess);
  text-shadow: 0px 0px 3px var(--Prowess);
}

.PECULIAR-text span:nth-child(10n + 2) {
  color: var(--Effusion);
  text-shadow: 0px 0px 2px var(--Effusion);
}

.PECULIAR-text span:nth-child(10n + 3) {
  color: var(--Cantillation);
  text-shadow: 0px 0px 3px var(--Cantillation);
}

.PECULIAR-text span:nth-child(10n + 4) {
  color: var(--Understanding);
  text-shadow: 0px 0px 3px var(--Understanding);
}

.PECULIAR-text span:nth-child(10n + 5) {
  color: var(--Licentiousness);
  text-shadow: 0px 0px 3px var(--Licentiousness);
}

.PECULIAR-text span:nth-child(10n + 6) {
  color: var(--Insight);
  text-shadow: 0px 0px 3px var(--Insight);
}

.PECULIAR-text span:nth-child(10n + 7) {
  color: var(--Agility);
  text-shadow: 0px 0px 3px var(--Agility);
}

.PECULIAR-text span:nth-child(10n + 8) {
  color: var(--Resilience);
  text-shadow: 0px 0px 3px var(--Resilience);
}
